﻿Copyright Fluke Calibration. All Rights Reserved.           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO5204 (1 yr) Bandwidth VER VISA /9500+G2
DATE:                  2012-07-16 13:38:43
AUTHOR:                Fluke
REVISION:              $Revision: 23524 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       15
NUMBER OF LINES:       363
CONFIGURATION:         Datron 9500 (G3)
CONFIGURATION:         Datron 9530 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models Covered:
#        DPO5204
#        MSO5204
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Tek MDO/MSO/DPO Select Channel VISA
#        Sub Tek MDO/MSO/DPO Wait for OPC VISA
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {ANALOG BANDWIDTH: Channel [V @Chan], 50 Ohm}
  1.003  RSLT         =
  1.004  HEAD         -2 1 mV/div
  1.005  TARGET
  1.006  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA
  1.007  VISA         CH[V @Chan]:TER 50;SCA 1E-3
  1.008  VISA         HOR:SCA 10E-6
  1.009  VISA         TRIG:A:MOD NORM;TYPE EDGE;EDGE:SOU CH[V @Chan];COUP DC
  1.010  VISA         MEASU:MEAS1:SOU CH[V @Chan];TYP PK2P;STATE ON
  1.011  VISA         MEASU:STATI:MODE VALUEMEAN
  1.012  VISA         ACQ:STATE STOP;MODE SAM;STOPAFTER SEQ
  1.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.014  JMPL         END                          @Abort
# Set the output of the calibrator is 8 vertical divisions at the selected
# vertical scale with a set frequency of 50 kHz.
  1.015  9500         8mVpp                        50kH           LS    S  L
  1.016  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  1.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.018  JMPL         END                          @Abort
  1.019  VISA         MEASU:MEAS1:MEAN?[I]
  1.020  MATH         L[1] = MEM
  1.021  VISA         HOR:SCA 5E-9
# Last calibrator amplitude setting is in MEM1.
  1.022  MATH         MEM = MEM1
  1.023  9500         mVpp                         175MH          LS    S  L
  1.024  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  1.025  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.026  JMPL         END                          @Abort
  1.027  VISA         MEASU:MEAS1:MEAN?[I]
  1.028  MATH         L[2] = MEM
  1.029  EVAL   -e (L[2] / L[1]) >= 0.707 : 1 mV/div

  2.001  HEAD         -2 2 mV/div
  2.002  TARGET
  2.003  VISA         CH[V @Chan]:SCA 2E-3
  2.004  VISA         HOR:SCA 10E-6
  2.005  9500         16mVpp                       50kH           LS    S  L
  2.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  2.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.008  JMPL         END                          @Abort
  2.009  VISA         MEASU:MEAS1:MEAN?[I]
  2.010  MATH         L[1] = MEM
  2.011  VISA         HOR:SCA 2.5E-9
  2.012  MATH         MEM = MEM1
  2.013  9500         mVpp                         350MH          LS    S  L
  2.014  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  2.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.016  JMPL         END                          @Abort
  2.017  VISA         MEASU:MEAS1:MEAN?[I]
  2.018  MATH         L[2] = MEM
  2.019  EVAL   -e (L[2] / L[1]) >= 0.707 : 2 mV/div

  3.001  HEAD         -2 5 mV/div
  3.002  TARGET
  3.003  VISA         CH[V @Chan]:SCA 5E-3
  3.004  VISA         HOR:SCA 10E-6
  3.005  9500         40mVpp                       50kH           LS    S  L
  3.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  3.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.008  JMPL         END                          @Abort
  3.009  VISA         MEASU:MEAS1:MEAN?[I]
  3.010  MATH         L[1] = MEM
  3.011  VISA         HOR:SCA 1E-9
  3.012  MATH         MEM = MEM1
  3.013  9500         mVpp                         1.5GH          LS    S  L
  3.014  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  3.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.016  JMPL         END                          @Abort
  3.017  VISA         MEASU:MEAS1:MEAN?[I]
  3.018  MATH         L[2] = MEM
  3.019  EVAL   -e (L[2] / L[1]) >= 0.707 : 5 mV/div

  4.001  HEAD         -2 10 mV/div
  4.002  TARGET
  4.003  VISA         CH[V @Chan]:SCA 10E-3
  4.004  VISA         HOR:SCA 10E-6
  4.005  9500         80mVpp                       50kH           LS    S  L
  4.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  4.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.008  JMPL         END                          @Abort
  4.009  VISA         MEASU:MEAS1:MEAN?[I]
  4.010  MATH         L[1] = MEM
  4.011  VISA         HOR:SCA 1E-9
  4.012  MATH         MEM = MEM1
  4.013  9500         mVpp                         2GH            LS    S  L
  4.014  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  4.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.016  JMPL         END                          @Abort
  4.017  VISA         MEASU:MEAS1:MEAN?[I]
  4.018  MATH         L[2] = MEM
  4.019  EVAL   -e (L[2] / L[1]) >= 0.707 : 10 mV/div

  5.001  HEAD         -2 50 mV/div
  5.002  TARGET
  5.003  VISA         CH[V @Chan]:SCA 50E-3
  5.004  VISA         HOR:SCA 10E-6
  5.005  9500         400mVpp                      50kH           LS    S  L
  5.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  5.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.008  JMPL         END                          @Abort
  5.009  VISA         MEASU:MEAS1:MEAN?[I]
  5.010  MATH         L[1] = MEM
  5.011  VISA         HOR:SCA 1E-9
  5.012  MATH         MEM = MEM1
  5.013  9500         mVpp                         2GH            LS    S  L
  5.014  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  5.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.016  JMPL         END                          @Abort
  5.017  VISA         MEASU:MEAS1:MEAN?[I]
  5.018  MATH         L[2] = MEM
  5.019  EVAL   -e (L[2] / L[1]) >= 0.707 : 50 mV/div

  6.001  HEAD         -2 100 mV/div
  6.002  TARGET
  6.003  VISA         CH[V @Chan]:SCA 100E-3
  6.004  VISA         HOR:SCA 10E-6
  6.005  9500         800mVpp                      50kH           LS    S  L
  6.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  6.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.008  JMPL         END                          @Abort
  6.009  VISA         MEASU:MEAS1:MEAN?[I]
  6.010  MATH         L[1] = MEM
  6.011  VISA         HOR:SCA 1E-9
  6.012  MATH         MEM = MEM1
  6.013  9500         mVpp                         2GH            LS    S  L
  6.014  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  6.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.016  JMPL         END                          @Abort
  6.017  VISA         MEASU:MEAS1:MEAN?[I]
  6.018  MATH         L[2] = MEM
  6.019  EVAL   -e (L[2] / L[1]) >= 0.707 : 100 mV/div

  7.001  HEAD         -2 1 V/div
  7.002  TARGET
  7.003  VISA         CH[V @Chan]:SCA 1
  7.004  VISA         HOR:SCA 10E-6
  7.005  9500         3.3Vpp                       50kH           LS    S  L
  7.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  7.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.008  JMPL         END                          @Abort
  7.009  VISA         MEASU:MEAS1:MEAN?[I]
  7.010  MATH         L[1] = MEM
  7.011  VISA         HOR:SCA 1E-9
  7.012  MATH         MEM = MEM1
  7.013  9500         Vpp                          2GH            LS    S  L
  7.014  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  7.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.016  JMPL         END                          @Abort
  7.017  VISA         MEASU:MEAS1:MEAN?[I]
  7.018  MATH         L[2] = MEM
  7.019  EVAL   -e (L[2] / L[1]) >= 0.707 : 1 V/div

  8.001  RSLT         =
  8.002  HEAD         {ANALOG BANDWIDTH: Channel [V @Chan], 1 MOhm}
  8.003  RSLT         =
  8.004  HEAD         -2 1 mV/div
  8.005  TARGET
  8.006  VISA         CH[V @Chan]:TER 1E+6;SCA 1E-3
  8.007  VISA         HOR:SCA 10E-6
  8.008  VISA         TRIG:A:MOD NORM;TYPE EDGE;EDGE:SOU CH[V @Chan];COUP DC
  8.009  VISA         MEASU:MEAS1:SOU CH[V @Chan];TYP PK2P;STATE ON
  8.010  VISA         MEASU:STATI:MODE VALUEMEAN
  8.011  VISA         ACQ:STATE STOP;MODE SAM;STOPAFTER SEQ
  8.012  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.013  JMPL         END                          @Abort
  8.014  TARGET       -m
# Set the output of the calibrator is 8 vertical divisions at the selected
# vertical scale with a set frequency of 50 kHz.
  8.015  9500         8mVpp                        50kH           LS    S
  8.016  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  8.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.018  JMPL         END                          @Abort
  8.019  VISA         MEASU:MEAS1:MEAN?[I]
  8.020  MATH         L[1] = MEM
  8.021  VISA         HOR:SCA 5E-9
# Last calibrator amplitude setting is in MEM1.
  8.022  MATH         MEM = MEM1
  8.023  9500         mVpp                         175MH          LS    S
  8.024  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  8.025  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.026  JMPL         END                          @Abort
  8.027  VISA         MEASU:MEAS1:MEAN?[I]
  8.028  MATH         L[2] = MEM
  8.029  EVAL   -e (L[2] / L[1]) >= 0.707 : 1 mV/div

  9.001  HEAD         -2 2 mV/div
  9.002  TARGET
  9.003  VISA         CH[V @Chan]:SCA 2E-3
  9.004  VISA         HOR:SCA 10E-6
  9.005  9500         16mVpp                       50kH           LS    S
  9.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  9.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  9.008  JMPL         END                          @Abort
  9.009  VISA         MEASU:MEAS1:MEAN?[I]
  9.010  MATH         L[1] = MEM
  9.011  VISA         HOR:SCA 2.5E-9
  9.012  MATH         MEM = MEM1
  9.013  9500         mVpp                         350MH          LS    S
  9.014  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  9.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  9.016  JMPL         END                          @Abort
  9.017  VISA         MEASU:MEAS1:MEAN?[I]
  9.018  MATH         L[2] = MEM
  9.019  EVAL   -e (L[2] / L[1]) >= 0.707 : 2 mV/div

 10.001  HEAD         -2 5 mV/div
 10.002  TARGET
 10.003  VISA         CH[V @Chan]:SCA 5E-3
 10.004  VISA         HOR:SCA 10E-6
 10.005  9500         40mVpp                       50kH           LS    S
 10.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 10.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.008  JMPL         END                          @Abort
 10.009  VISA         MEASU:MEAS1:MEAN?[I]
 10.010  MATH         L[1] = MEM
 10.011  VISA         HOR:SCA 1E-9
 10.012  MATH         MEM = MEM1
 10.013  9500         mVpp                         500MH          LS    S
 10.014  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 10.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.016  JMPL         END                          @Abort
 10.017  VISA         MEASU:MEAS1:MEAN?[I]
 10.018  MATH         L[2] = MEM
 10.019  EVAL   -e (L[2] / L[1]) >= 0.707 : 5 mV/div

 11.001  HEAD         -2 10 mV/div
 11.002  TARGET
 11.003  VISA         CH[V @Chan]:SCA 10E-3
 11.004  VISA         HOR:SCA 10E-6
 11.005  9500         80mVpp                       50kH           LS    S
 11.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 11.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.008  JMPL         END                          @Abort
 11.009  VISA         MEASU:MEAS1:MEAN?[I]
 11.010  MATH         L[1] = MEM
 11.011  VISA         HOR:SCA 1E-9
 11.012  MATH         MEM = MEM1
 11.013  9500         mVpp                         500MH          LS    S
 11.014  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 11.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.016  JMPL         END                          @Abort
 11.017  VISA         MEASU:MEAS1:MEAN?[I]
 11.018  MATH         L[2] = MEM
 11.019  EVAL   -e (L[2] / L[1]) >= 0.707 : 10 mV/div

 12.001  HEAD         -2 50 mV/div
 12.002  TARGET
 12.003  VISA         CH[V @Chan]:SCA 50E-3
 12.004  VISA         HOR:SCA 10E-6
 12.005  9500         400mVpp                      50kH           LS    S
 12.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 12.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.008  JMPL         END                          @Abort
 12.009  VISA         MEASU:MEAS1:MEAN?[I]
 12.010  MATH         L[1] = MEM
 12.011  VISA         HOR:SCA 1E-9
 12.012  MATH         MEM = MEM1
 12.013  9500         mVpp                         500MH          LS    S
 12.014  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 12.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.016  JMPL         END                          @Abort
 12.017  VISA         MEASU:MEAS1:MEAN?[I]
 12.018  MATH         L[2] = MEM
 12.019  EVAL   -e (L[2] / L[1]) >= 0.707 : 50 mV/div

 13.001  HEAD         -2 100 mV/div
 13.002  TARGET
 13.003  VISA         CH[V @Chan]:SCA 100E-3
 13.004  VISA         HOR:SCA 10E-6
 13.005  9500         800mVpp                      50kH           LS    S
 13.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 13.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.008  JMPL         END                          @Abort
 13.009  VISA         MEASU:MEAS1:MEAN?[I]
 13.010  MATH         L[1] = MEM
 13.011  VISA         HOR:SCA 1E-9
 13.012  MATH         MEM = MEM1
 13.013  9500         mVpp                         500MH          LS    S
 13.014  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 13.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.016  JMPL         END                          @Abort
 13.017  VISA         MEASU:MEAS1:MEAN?[I]
 13.018  MATH         L[2] = MEM
 13.019  EVAL   -e (L[2] / L[1]) >= 0.707 : 100 mV/div

 14.001  HEAD         -2 1 V/div
 14.002  TARGET
 14.003  VISA         CH[V @Chan]:SCA 1
 14.004  VISA         HOR:SCA 10E-6
 14.005  9500         5Vpp                         50kH           LS    S
 14.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 14.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.008  JMPL         END                          @Abort
 14.009  VISA         MEASU:MEAS1:MEAN?[I]
 14.010  MATH         L[1] = MEM
 14.011  VISA         HOR:SCA 1E-9
 14.012  MATH         MEM = MEM1
 14.013  9500         Vpp                          500MH          LS    S
 14.014  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 14.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.016  JMPL         END                          @Abort
 14.017  VISA         MEASU:MEAS1:MEAN?[I]
 14.018  MATH         L[2] = MEM
 14.019  EVAL   -e (L[2] / L[1]) >= 0.707 : 1 V/div

 15.001  LABEL        END
 15.002  HEAD         -2
 15.003  HEAD
 15.004  9500         *                                                 S
 15.005  END
